function v_vec = MpomegaI_product(dim,mem,u_vec,S_mat,Y_mat,delinv,omega)

% Build the pieces:
tau        = delinv + omega;
Yt_mat     = Y_mat';
YtY_mat    = Yt_mat*Y_mat;
St_mat     = S_mat';
StS_mat    = St_mat*S_mat;
StY_mat    = St_mat*Y_mat;
D_mat      = diag(diag(StY_mat));
L_mat      = tril(StY_mat,-1);
Rbar_mat   = triu(StY_mat,0);
Lt_mat     = L_mat';
Gamma_mat  = [delinv*StS_mat, L_mat; L_mat', -D_mat];
Phi_mat    = [delinv*S_mat, Y_mat];
Phit_mat   = Phi_mat';
PtP_mat    = Phit_mat*Phi_mat;

% Execute multiplication:
v_vec  = tau*Gamma_mat*u_vec - PtP_mat*u_vec;



