function d_vec = TRBFGS2(dim,mem,u_vec, ngrad, S_mat, Y_mat, tr, del)

% initialization
delinv     = 1/del;
Phi_mat    = [Y_mat, delinv*S_mat];
v0_vec     = Phi_mat'*u_vec;

Maxit_TRsub = 12;
Tol_TRsub  = 1e-10;
Iter_TRsub = 0;
dmu        = 1;
mu_max     = ngrad/tr;
mu0        = mu_max/2;
while (Iter_TRsub<=Maxit_TRsub && abs(dmu)>Tol_TRsub)
    Iter_TRsub    = Iter_TRsub+1;
    tau           = delinv+mu0;
    v1_vec        = inv_tGaminvmPhiTPhi_product(dim,mem,v0_vec,S_mat,Y_mat,delinv,tau);
    v2_vec        = Phi_mat'*Phi_mat*v1_vec;
    v2_vec        = inv_tGaminvmPhiTPhi_product(dim,mem,v2_vec,S_mat,Y_mat,delinv,tau);
    v3_vec        = u_vec + Phi_mat*v1_vec;
    normsomega    = norm(v3_vec)/tau;
    dmu           = (delinv - 1/normsomega)*(normsomega^3/((v3_vec/tau)'*(Phi_mat*v2_vec)));
    mu1           = mu0+dmu;
    if mu1>=0
        if (mu1>=mu_max)
            if (mu1==mu_max)
                disp('Upper bound on mu is wrong.')
            else
                mu0=mu_max;
            end
        else
            mu0=mu1;
        end
    else
        mu0=.2*mu0;
    end
end
d_vec             = (u_vec + Phi_mat*v1_vec)/tau;
