%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%          samsara_diagnostic_veiwer.m
%                   Russell Luke
%  Department of MathSci, University of Delaware  
%                        and 
%  Inst. f. Num. u. Angew. Math., Universitaet Goettingen
%                    JUNE. 2, 2010  
%
%  This work was supported by NSF-DMS grant 0712796. 
%
%
% DESCRIPTION:  viewer tamplate for the SAMSARA reverse
%                       communication optimization toolbox.
%
% INPUT:  none...this is a script
%
% OUTPUT:
%       graphics, contents of the state.dat file generated
%       by the SAMSARA routine.  
%
% USAGE: 
%        samsara_diagnostic_viewer
% 
% SUBROUTINE CALLS:
%      Objective
%

[fid,message]=fopen('state.dat','r');
if (fid<0)
    disp(message)
else
    state_vec=fread(fid,[1,inf],'real*8');
    fclose(fid);
end

%%%%%%%%%%%%%%%%%%%%%
% Plot Diagnostics
%%%%%%%%%%%%%%%%%%%%%
Maxit=state_vec(end);
f_vec = state_vec(1:Maxit+1);
ngradf_vec = state_vec(Maxit+2:2*(Maxit+1));
stepsize_vec = state_vec(2*Maxit+3:3*(Maxit+1));
mu_vec = state_vec(3*Maxit+4:4*(Maxit+1));
iter = state_vec(4*(Maxit+1)+1);
fcounter = state_vec(4*(Maxit+1)+10);
trstep = state_vec(4*(Maxit+1)+11);

f_opt=feval(Objective,ones(size(x0_vec)));

figure(2002)
% subplot(2,2,1),semilogy(1:iter,f_vec(1:iter),'-*'),...
subplot(2,2,1),semilogy(1:iter,abs(f_vec(1:iter)-f_opt),'-*'),...
    title('Function value'),...
    xlabel('iterations'),ylabel('f(x)')
subplot(2,2,2),semilogy(1:iter,ngradf_vec(1:iter),'-o');
subplot(2,2,2),title('gradient norm'),...
    xlabel('iteration'),ylabel('log(gradient norm)');
subplot(2,2,3),semilogy(1:iter,stepsize_vec(1:iter),'-+'),...
    title('stepsize'),...
    xlabel('iterations'),ylabel('||x_{k+1}-x_k||')

